Offers
Update offer
Updates only the submitted fields.
PATCH
/offers/{id}offers:writeRequest
idstring · pathResource identifier.mandatoryurlstring · bodyOriginal HTTPS URL for the product.optionaltitlestring · bodyPublic title of the offer.optionalmarketplacestring · bodySource marketplace.optionalpricenumber · bodyCurrent price.optionaloriginal_pricenumber · bodyPrevious price.optionalcurrencystring · bodyISO 4217 currency.optionalimagestring · bodyHTTPS URL of the image.optionalstorestring · bodyStore name.optionalcategorystring · bodyCategory.optionalcouponstring · bodyCoupon code.optionalcopystring · bodyEditorial text of the offer.optionalstatusstring · bodyCurated status.optionalExample
curl
curl -X PATCH 'https://achadu.com/api/v1/offers/resource_id' \
+ -H 'Authorization: Bearer ach_live_...' \
+ -H 'Accept: application/json' \
+ -H 'Content-Type: application/json' \
+ --data '{
"url": "https://example.com/product",
"title": "Air fryer 5L",
"marketplace": "string"
}'Answer
200Operation completed4xxError with code, message and request_id